Subject: Re: [PATCH net-next 1/5] sfc: check recirc_id match caps before MAE offload

From: Jakub Kicinski <[email-masked]>
Date: Tue, 1 Nov 2022 08:50:34 -0700

On Tue, 1 Nov 2022 15:41:13 +0000 Edward Cree wrote:
> > Can you describe the current behavior is? Isn't the driver accepting
> > rules it can't correctly offload?  
> 
> The rule will pass the checks here, but then when we make the MCDI call
>  to install it in hardware, MC_CMD_MAE_ACTION_RULE_INSERT will evoke an
>  error response from the firmware, so the TC_SETUP_CLSFLOWER callback
>  will ultimately return an error to the kernel as it should.
> The advantage of having these checks in the driver is that we get a
>  useful error message rather than just "Failed to insert rule in hw",
>  and also save the round trip across the PCIe bus to firmware.

I see, net-next sounds good then. Do put this info into the commit
message, please.